import { IDataSynchronizationInput, IDataSynchronizationManager, IFactories } from "./types";
import { IIndexManager } from "../../settings/types";
export interface IDataSynchronizationTaskRunnerParams {
    manager: IDataSynchronizationManager;
    indexManager: IIndexManager;
    factories: IFactories;
}
export declare class DataSynchronizationTaskRunner {
    private readonly manager;
    private readonly indexManager;
    private readonly factories;
    constructor(params: IDataSynchronizationTaskRunnerParams);
    run(input: IDataSynchronizationInput): Promise<import("@webiny/tasks").ITaskResponseErrorResult | import("@webiny/tasks").ITaskResponseAbortedResult | import("@webiny/tasks").ITaskResponseDoneResult<import("@webiny/tasks").ITaskResponseDoneResultOutput> | import("@webiny/tasks").ITaskResponseContinueResult<IDataSynchronizationInput>>;
    private validateFlow;
}
